## org.eclipse.emf.ocl.expressions
Interface StateExp

All Superinterfaces:
  ASTNode, EModelElement, ENamedElement, EObject, Notifier, OCLExpression, TypedElement, Visitable

All Known Implementing Classes:
  StateExpImpl

Deprecated. Use the `StateExp` interface, instead.

    @Deprecated
    public interface StateExp

extends OCLExpression

A representation of the model object 'State Exp'.

The following features are supported:

- `Referred State`

See Also:
  `ExpressionsPackage.getStateExp()`

Field Summary
`static String` `copyright` Deprecated.

Method Summary
`EObject` `getReferredState()` Deprecated. Returns the value of the 'Referred State' reference
`void` `setReferredState(EObject value)` Deprecated. Sets the value of the '`Referred State`' reference

Methods inherited from interface org.eclipse.emf.ocl.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Method Detail

### getReferredState

    EObject getReferredState()

  Deprecated.
  Returns the value of the 'Referred State' reference.

  If the meaning of the 'Referred State' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referred State' reference.
  See Also:
    `setReferredState(EObject)`, `ExpressionsPackage.getStateExp_ReferredState()`

### setReferredState

    void setReferredState(EObject value)

  Deprecated.
  Sets the value of the '`Referred State`' reference.

  Parameters:
    `value` - the new value of the 'Referred State' reference.
  See Also:
    `getReferredState()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.